Draft WireToBSpline/sv: Difference between revisions

From FreeCAD Documentation
(Created page with "==Skript==")
(Updating to match new version of source page)
Line 22: Line 22:
* If the active object is a wire:
* If the active object is a wire:


{{Code|code=
<syntaxhighlight>
import FreeCAD,Draft
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeBSpline(points)
Draft.makeBSpline(points)
}}
</syntaxhighlight>


* if the active object is a bspline
* if the active object is a bspline


{{Code|code=
<syntaxhighlight>
import FreeCAD,Draft
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeWire(points)
Draft.makeWire(points)
}}
</syntaxhighlight>


<languages/>
<languages/>

Revision as of 21:51, 1 January 2015

Draft WireToBSpline

Menyplacering
Drafting -> Wire to BSpline
Arbetsbänkar
Draft, Arch
Standard genväg
Ingen
Introducerad i version
-
Se även
Ingen

Beskrivning

This tool converts Wires to BSplines, and vice-versa.

Bruk

  1. Select a wire or a BSpline
  2. Press the Draft WireToBSpline button

Options

  • The original object will not be deleted after the operation, you must delete it manually if you wish so.

Skript

Not available, but creating a new object with the points from another one is easy, for example:

  • If the active object is a wire:
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeBSpline(points)
  • if the active object is a bspline
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeWire(points)